[Scipy-svn] r3828 - trunk/scipy/sparse

scipy-svn@scip... scipy-svn@scip...
Mon Jan 14 02:33:54 CST 2008


Author: wnbell
Date: 2008-01-14 02:33:50 -0600 (Mon, 14 Jan 2008)
New Revision: 3828

Modified:
   trunk/scipy/sparse/bsr.py
Log:
small error in BSR


Modified: trunk/scipy/sparse/bsr.py
===================================================================
--- trunk/scipy/sparse/bsr.py	2008-01-12 21:04:55 UTC (rev 3827)
+++ trunk/scipy/sparse/bsr.py	2008-01-14 08:33:50 UTC (rev 3828)
@@ -220,7 +220,7 @@
             if self.nnz > 0:
                 if self.indices.max() >= N/C:
                     print "max index",self.indices.max()
-                    raise ValueError, "column index values must be < %d" % N/C
+                    raise ValueError, "column index values must be < %d" % (N/C)
                 if self.indices.min() < 0:
                     raise ValueError, "column index values must be >= 0"
                 if diff(self.indptr).min() < 0:



More information about the Scipy-svn mailing list